Loading...
Searching...
No Matches
BALL::VIEW::PyWidget Class Reference
Visualisation » Modular Widgets

`#include <BALL/VIEW/WIDGETS/pyWidget.h>`

Inheritance diagram for BALL::VIEW::PyWidget:

## Public Member Functions

Constructors and Destructors
| PyWidget (QWidget *parent=0, const char *name=0)
| PyWidget (const PyWidget &p)
| only needed for Pyhon Interface
| ~PyWidget ()
bool | isValid () const
| Is full Python support available?
Public Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget (QWidget *parent, const char *title=0)
| Use this constructor!
virtual | ~DockWidget ()
void | setGuest (QWidget &guest)
virtual void | setWidgetVisible (bool state)
| For usage with Python:
QGridLayout * | getGuestLayout ()
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)

## Friends

class | MyLineEdit

## ModularWidget related methods

QLabel * | curr_modifying_
TextEditorWidget * | text_edit_
TextEditorWidget * | script_output_
MyTextEdit * | script_edit_
QTabWidget * | tab_widget_
PythonHighlighter | highlighter_1_
PythonHighlighter | highlighter_2_
PythonValidator | validator_
MyLineEdit * | line_edit_
QComboBox * | combo_box_
QComboBox * | editor_combo_box_
std::list< Hotkey > | hotkeys_
String | working_dir_
bool | valid_
bool | started_startup_script_
Preferences * | preferences_
Position | current_line_
bool | multi_line_mode_
Size | multi_lines_
String | multi_line_text_
vector< String > | history_
vector< bool > | results_
Position | history_position_
String | startup_script_
PythonSettings * | python_settings_
RunPythonThread * | thread_
bool | stop_script_
Size | complete_prefix_
String | class_
String | member_
Position | intend_
bool | running_
bool | silent_
bool | full_silent_
bool | script_mode_
String | current_script_
virtual void | initializeWidget (MainControl &main_control)
virtual void | finalizeWidget (MainControl &main_control)
void | initializePreferencesTab (Preferences &preferences)
void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | scriptDialog (bool run=false)
| Open a dialog to select a script.
bool | toAbortScript ()
void | map (String modifier, String key, String command, String comment="")
void | unmap (String modifier, String key)
| see above
void | insertHotkey (const Hotkey &hotkey)
void | removeHotkey (const Hotkey &hotkey)
void | reactTo (const QKeyEvent &e)
virtual bool | canHandle (const String &fileformat) const
virtual bool | openFile (const String &filename)
bool | openFile (const String &filename, bool run, bool is_current=false)
bool | runString (String command)
String | getCurrentLine () const
void | dump (std::ostream &s, Size depth) const
BALL_DEPRECATED void | showClassDocu (String, String)
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
void | checkMenu (MainControl &main_control)
QString | getCurrentScript ()
bool | isInDirectMode () const
void | showEditContextMenu (const QPoint &point)
void | showContextMenu (const QPoint &point)
void | showCompletion ()
void | clear ()
void | exportHistory ()
void | abortScript ()
BALL_DEPRECATED void | showDocumentation ()
bool | runCurrentScript ()
void | loadScript ()
void | execScript ()
void | saveScript ()
void | clearScript ()
virtual void | hotkeyItem ()
virtual void | modifyHotkeys ()
void | appendText (const String &text, bool output=false, bool state_message=false)
bool | getMembers (const String &classname, QStringList &sl, const String &prefix)
virtual bool | returnPressed ()
virtual bool | completionSelected_ ()
virtual BALL_DEPRECATED void | showHelp_ ()
virtual void | printCursorPosition_ ()
virtual void | createScript_ ()
virtual void | clearHistory_ ()
bool | getClassAndMember_ (String toc)
void | setError_ (bool state)
virtual void | startInterpreter ()
virtual void | paste ()
bool | parseLine_ (String line)
| Parse a and execute a given string. If silent_ is set to true, no prompts are being printed.
void | appendToHistory_ (const String &line)
void | newPrompt_ ()
bool | testMultilineStart_ (const String &line)
const char * | getPrompt_ () const
bool | storeScript_ ()
String | runCommand_ (const String &command, bool &state)
void | appendText_ (TextEditorWidget *te, String text)
void | retrieveHistoryLine_ (Position index)
virtual void | contentsDragEnterEvent (QDragEnterEvent *e)
virtual void | contentsDropEvent (QDropEvent *e)
bool | keyPressed (QKeyEvent *e)
BALL_DEPRECATED void | createMenuHelpEntry_ (QMenu *, TextEditorWidget *, const QPoint &)
void | findError_ (String result)
String | getCurrentWord_ (QTextCursor &text_cursor)
QComboBox * | getCompletionBox_ ()
std::list< Hotkey >::iterator | findKey_ (Hotkey &hotkey)

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
Public Slots inherited from BALL::VIEW::DockWidget
virtual void | dropEvent (QDropEvent *e)
virtual void | dragEnterEvent (QDragEnterEvent *e)
virtual void | showGuestContextMenu (const QPoint &)
static void | registerWidget (ModularWidget *mwidget)
Protected Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget ()
| DockWidget (const DockWidget &)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)
Protected Attributes inherited from BALL::VIEW::DockWidget
QWidget * | container_
QWidget * | guest_
QGridLayout * | layout_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Detailed Description

Python Widget This class is a Window for a Python interpreter interface. So it is possible to access all data in the running application in realtime with the script language. PyWidget also has the capablities to run a Python script from a file at startup, or on demand from the user.

Definition at line 139 of file pyWidget.h.

## Constructor & Destructor Documentation

## PyWidget() [1/2]

BALL::VIEW::PyWidget::PyWidget | ( | QWidget * | parent = 0,
|  | const char * | name = 0 )

Standard constructor. If the widget is part of a BALL MainControl widget, it inserts a menu entry Tools|Restart Python into the menu bar.

Parameters

  parent | the parent widget
  name | the widget name

## PyWidget() [2/2]

BALL::VIEW::PyWidget::PyWidget | ( | const PyWidget & | p | ) |

only needed for Pyhon Interface

## ~PyWidget()

BALL::VIEW::PyWidget::~PyWidget | ( |  | ) |

## Member Function Documentation

## abortScript

void BALL::VIEW::PyWidget::abortScript | ( |  | ) |

slot

## appendText

void BALL::VIEW::PyWidget::appendText | ( | const String & | text,
|  | bool | output = false,
|  | bool | state_message = false )

slot

## appendText_()

void BALL::VIEW::PyWidget::appendText_ | ( | TextEditorWidget * | te,
|  | String | text )

protected

## appendToHistory_()

void BALL::VIEW::PyWidget::appendToHistory_ | ( | const String & | line | ) |

protected

## applyPreferences()

virtual void BALL::VIEW::PyWidget::applyPreferences | ( |  | ) |

virtual

Apply the preferences of the specific tab. In this method the widget can extract any changed values from its preferences tab (if required). This method is called automatically by the applyPreferencesTab from the MainControl object if the apply button in the Preferences dialog is pressed.

Parameters

  preferences | the Preferences dialog of the MainControl

See also
  initializePreferencesTab
  finalizePreferencesTab
  applyPreferencesTab

Reimplemented from BALL::VIEW::ModularWidget.

## canHandle()

virtual bool BALL::VIEW::PyWidget::canHandle | ( | const String & | fileformat | ) | const

virtual

Test if this ModularWidget can handle a given file format. (Overloaded from ModularWidget)

Parameters

  fileform | short string with the file extension (e.g. PDB)

See also
  openFile

Reimplemented from BALL::VIEW::ModularWidget.

## checkMenu()

void BALL::VIEW::PyWidget::checkMenu | ( | MainControl & | main_control | ) |

virtual

Menu checking method. This method is called MainControl::checkMenus before a popup menu is shown. It should be used to update the state of menu entries (e.g. disable or enable entries).

Parameters

  main_control | the MainControl object whose menus should be checked

Reimplemented from BALL::VIEW::ModularWidget.

## clear

void BALL::VIEW::PyWidget::clear | ( |  | ) |

slot

## clearHistory_

virtual void BALL::VIEW::PyWidget::clearHistory_ | ( |  | ) |

protected virtual slot

## clearScript

void BALL::VIEW::PyWidget::clearScript | ( |  | ) |

slot

## completionSelected_

virtual bool BALL::VIEW::PyWidget::completionSelected_ | ( |  | ) |

protected virtual slot

## contentsDragEnterEvent()

virtual void BALL::VIEW::PyWidget::contentsDragEnterEvent | ( | QDragEnterEvent * | e | ) |

protected virtual

## contentsDropEvent()

virtual void BALL::VIEW::PyWidget::contentsDropEvent | ( | QDropEvent * | e | ) |

protected virtual

## createMenuHelpEntry_()

BALL_DEPRECATED void BALL::VIEW::PyWidget::createMenuHelpEntry_ | ( | QMenu * | ,
|  | TextEditorWidget * | ,
|  | const QPoint & | )

protected

Deprecated
  Help system has been removed.

## createScript_

virtual void BALL::VIEW::PyWidget::createScript_ | ( |  | ) |

protected virtual slot

## dump()

void BALL::VIEW::PyWidget::dump | ( | std::ostream & | s,
|  | Size | depth ) const

virtual

Internal state dump. Dump the current internal state of this mainControl to the output ostream s with dumping depth depth. Calls ConnectionObject::dump.

Parameters

  s | output stream where to output the internal state
  depth | the dumping depth

Reimplemented from BALL::VIEW::ModularWidget.

## execScript

void BALL::VIEW::PyWidget::execScript | ( |  | ) |

slot

## exportHistory

void BALL::VIEW::PyWidget::exportHistory | ( |  | ) |

slot

## fetchPreferences()

virtual void BALL::VIEW::PyWidget::fetchPreferences | ( | INIFile & | inifile | ) |

virtual

Load settings from an INIFile

See also
  ModularWidget::fetchPreferences

Reimplemented from BALL::VIEW::DockWidget.

## finalizePreferencesTab()

void BALL::VIEW::PyWidget::finalizePreferencesTab | ( | Preferences & | preferences | ) |

virtual

Remove the preferences tab. This method can remove a preferences widget (if created in initializePreferencesTab) from the Preferences dialog of the MainControl. This method is called automatically by MainControl::aboutToExit() at the end of the application.

Parameters

  preferences | the Preferences dialog of the MainControl

Reimplemented from BALL::VIEW::ModularWidget.

## finalizeWidget()

virtual void BALL::VIEW::PyWidget::finalizeWidget | ( | MainControl & | main_control | ) |

virtual

Remove menu entries.

Reimplemented from BALL::VIEW::ModularWidget.

## findError_()

void BALL::VIEW::PyWidget::findError_ | ( | String | result | ) |

protected

## findKey_()

std::list< Hotkey >::iterator BALL::VIEW::PyWidget::findKey_ | ( | Hotkey & | hotkey | ) |

protected

## getClassAndMember_()

bool BALL::VIEW::PyWidget::getClassAndMember_ | ( | String | toc | ) |

protected

## getCompletionBox_()

QComboBox * BALL::VIEW::PyWidget::getCompletionBox_ | ( |  | ) |

protected

## getCurrentLine()

String BALL::VIEW::PyWidget::getCurrentLine | ( |  | ) | const

## getCurrentScript()

QString BALL::VIEW::PyWidget::getCurrentScript | ( |  | ) |

## getCurrentWord_()

String BALL::VIEW::PyWidget::getCurrentWord_ | ( | QTextCursor & | text_cursor | ) |

protected

## getMembers

bool BALL::VIEW::PyWidget::getMembers | ( | const String & | classname,
|  | QStringList & | sl,
|  | const String & | prefix )

slot

## getPrompt_()

const char * BALL::VIEW::PyWidget::getPrompt_ | ( |  | ) | const

protected

## hotkeyItem

virtual void BALL::VIEW::PyWidget::hotkeyItem | ( |  | ) |

virtual slot

## initializePreferencesTab()

void BALL::VIEW::PyWidget::initializePreferencesTab | ( | Preferences & | preferences | ) |

virtual

Initialize a preferences tab for the widget (if needed). This method can be used to create preferences widgets that can be inserted into the Preferences dialog with the method insertTab. This method is called automatically by MainControl::show at the start of the application.

Parameters

  preferences | the Preferences dialog of the MainControl

Reimplemented from BALL::VIEW::ModularWidget.

## initializeWidget()

virtual void BALL::VIEW::PyWidget::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Setup the menu entries.

Reimplemented from BALL::VIEW::DockWidget.

## insertHotkey()

void BALL::VIEW::PyWidget::insertHotkey | ( | const Hotkey & | hotkey | ) |

## isInDirectMode()

bool BALL::VIEW::PyWidget::isInDirectMode | ( |  | ) | const

## isValid()

bool BALL::VIEW::PyWidget::isValid | ( |  | ) | const

inline virtual

Is full Python support available?

Reimplemented from BALL::VIEW::ConnectionObject.

Definition at line 201 of file pyWidget.h.

## keyPressed()

bool BALL::VIEW::PyWidget::keyPressed | ( | QKeyEvent * | e | ) |

protected

## loadScript

void BALL::VIEW::PyWidget::loadScript | ( |  | ) |

slot

## map()

void BALL::VIEW::PyWidget::map | ( | String | modifier,
|  | String | key,
|  | String | command,
|  | String | comment = "" )

Map a key to a command Modifier can be: "", Ctrl, Shift Key should be F2 - F12

## modifyHotkeys

virtual void BALL::VIEW::PyWidget::modifyHotkeys | ( |  | ) |

virtual slot

## newPrompt_()

void BALL::VIEW::PyWidget::newPrompt_ | ( |  | ) |

protected

Print prompt. Determine the correct type of prompt and append it to the current text. The cursor is placed after the prompt and textChanged is emitted.

## openFile() [1/2]

virtual bool BALL::VIEW::PyWidget::openFile | ( | const String & | filename | ) |

virtual

Tell this ModularWidget to open a given file. (Overloaded from ModularWidget)

See also
  canHandle

Reimplemented from BALL::VIEW::ModularWidget.

## openFile() [2/2]

bool BALL::VIEW::PyWidget::openFile | ( | const String & | filename,
|  | bool | run,
|  | bool | is_current = false )

Run a Python script from a given file

Parameters

  is_current | states wheter this file is currently loaded in the editor

## parseLine_()

bool BALL::VIEW::PyWidget::parseLine_ | ( | String | line | ) |

protected

Parse a and execute a given string. If silent_ is set to true, no prompts are being printed.

## paste()

virtual void BALL::VIEW::PyWidget::paste | ( |  | ) |

protected virtual

## printCursorPosition_

virtual void BALL::VIEW::PyWidget::printCursorPosition_ | ( |  | ) |

protected virtual slot

## reactTo()

void BALL::VIEW::PyWidget::reactTo | ( | const QKeyEvent & | e | ) |

## removeHotkey()

void BALL::VIEW::PyWidget::removeHotkey | ( | const Hotkey & | hotkey | ) |

## retrieveHistoryLine_()

void BALL::VIEW::PyWidget::retrieveHistoryLine_ | ( | Position | index | ) |

protected

Replace the line the cursor is in with a line from the history. Used to display text from the history (cursor down/up). The previous content of the line is stored in current_line_ if this is the first time the history function is used for this specific line.

## returnPressed

virtual bool BALL::VIEW::PyWidget::returnPressed | ( |  | ) |

protected virtual slot

## runCommand_()

String BALL::VIEW::PyWidget::runCommand_ | ( | const String & | command,
|  | bool & | state )

protected

## runCurrentScript

bool BALL::VIEW::PyWidget::runCurrentScript | ( |  | ) |

slot

## runString()

bool BALL::VIEW::PyWidget::runString | ( | String | command | ) |

## saveScript

void BALL::VIEW::PyWidget::saveScript | ( |  | ) |

slot

## scriptDialog()

virtual void BALL::VIEW::PyWidget::scriptDialog | ( | bool | run = false | ) |

virtual

Open a dialog to select a script.

## setError_()

void BALL::VIEW::PyWidget::setError_ | ( | bool | state | ) |

protected

## showClassDocu()

BALL_DEPRECATED void BALL::VIEW::PyWidget::showClassDocu | ( | String | ,
|  | String | )

Deprecated
  Help system has been removed.

## showCompletion

void BALL::VIEW::PyWidget::showCompletion | ( |  | ) |

slot

## showContextMenu

void BALL::VIEW::PyWidget::showContextMenu | ( | const QPoint & | point | ) |

slot

## showDocumentation

BALL_DEPRECATED void BALL::VIEW::PyWidget::showDocumentation | ( |  | ) |

slot

Deprecated
  Help system has been removed.

## showEditContextMenu

void BALL::VIEW::PyWidget::showEditContextMenu | ( | const QPoint & | point | ) |

slot

## showHelp_

virtual BALL_DEPRECATED void BALL::VIEW::PyWidget::showHelp_ | ( |  | ) |

protected virtual slot

Deprecated
  Help system has been removed.

## startInterpreter()

virtual void BALL::VIEW::PyWidget::startInterpreter | ( |  | ) |

protected virtual

Start the interpreter. This method initializes the interpreter if it is not yet running. An already running interpreter is reinitialized. This method calls PyInitialize() to create an interpreter.

## storeScript_()

bool BALL::VIEW::PyWidget::storeScript_ | ( |  | ) |

protected

## testMultilineStart_()

bool BALL::VIEW::PyWidget::testMultilineStart_ | ( | const String & | line | ) |

protected

## toAbortScript()

bool BALL::VIEW::PyWidget::toAbortScript | ( |  | ) |

## unmap()

void BALL::VIEW::PyWidget::unmap | ( | String | modifier,
|  | String | key )

see above

## writePreferences()

virtual void BALL::VIEW::PyWidget::writePreferences | ( | INIFile & | inifile | ) |

virtual

Write settings to an INIFile

See also
  ModularWidget::writePreferences

Reimplemented from BALL::VIEW::DockWidget.

## Friends And Related Symbol Documentation

## MyLineEdit

friend class MyLineEdit

friend

Definition at line 174 of file pyWidget.h.

## Member Data Documentation

## class_

String BALL::VIEW::PyWidget::class_

protected

Definition at line 447 of file pyWidget.h.

## combo_box_

QComboBox* BALL::VIEW::PyWidget::combo_box_

protected

Definition at line 427 of file pyWidget.h.

## complete_prefix_

Size BALL::VIEW::PyWidget::complete_prefix_

protected

Definition at line 446 of file pyWidget.h.

## curr_modifying_

QLabel* BALL::VIEW::PyWidget::curr_modifying_

protected

Definition at line 420 of file pyWidget.h.

## current_line_

Position BALL::VIEW::PyWidget::current_line_

protected

Definition at line 435 of file pyWidget.h.

## current_script_

String BALL::VIEW::PyWidget::current_script_

protected

Definition at line 452 of file pyWidget.h.

## editor_combo_box_

QComboBox * BALL::VIEW::PyWidget::editor_combo_box_

protected

Definition at line 427 of file pyWidget.h.

## full_silent_

bool BALL::VIEW::PyWidget::full_silent_

protected

Definition at line 450 of file pyWidget.h.

## highlighter_1_

PythonHighlighter BALL::VIEW::PyWidget::highlighter_1_

protected

Definition at line 424 of file pyWidget.h.

## highlighter_2_

PythonHighlighter BALL::VIEW::PyWidget::highlighter_2_

protected

Definition at line 424 of file pyWidget.h.

## history_

vector<String> BALL::VIEW::PyWidget::history_

protected

Definition at line 439 of file pyWidget.h.

## history_position_

Position BALL::VIEW::PyWidget::history_position_

protected

Definition at line 441 of file pyWidget.h.

## hotkeys_

std::list<Hotkey> BALL::VIEW::PyWidget::hotkeys_

protected

Definition at line 428 of file pyWidget.h.

## intend_

Position BALL::VIEW::PyWidget::intend_

protected

Definition at line 448 of file pyWidget.h.

## line_edit_

MyLineEdit* BALL::VIEW::PyWidget::line_edit_

protected

Definition at line 426 of file pyWidget.h.

## member_

String BALL::VIEW::PyWidget::member_

protected

Definition at line 447 of file pyWidget.h.

## multi_line_mode_

bool BALL::VIEW::PyWidget::multi_line_mode_

protected

Definition at line 436 of file pyWidget.h.

## multi_line_text_

String BALL::VIEW::PyWidget::multi_line_text_

protected

Definition at line 438 of file pyWidget.h.

## multi_lines_

Size BALL::VIEW::PyWidget::multi_lines_

protected

Definition at line 437 of file pyWidget.h.

## preferences_

Preferences* BALL::VIEW::PyWidget::preferences_

protected

Definition at line 433 of file pyWidget.h.

## python_settings_

PythonSettings* BALL::VIEW::PyWidget::python_settings_

protected

Definition at line 443 of file pyWidget.h.

## results_

vector<bool> BALL::VIEW::PyWidget::results_

protected

Definition at line 440 of file pyWidget.h.

## running_

bool BALL::VIEW::PyWidget::running_

protected

Definition at line 449 of file pyWidget.h.

## script_edit_

MyTextEdit* BALL::VIEW::PyWidget::script_edit_

protected

Definition at line 422 of file pyWidget.h.

## script_mode_

bool BALL::VIEW::PyWidget::script_mode_

protected

Definition at line 451 of file pyWidget.h.

## script_output_

TextEditorWidget * BALL::VIEW::PyWidget::script_output_

protected

Definition at line 421 of file pyWidget.h.

## silent_

bool BALL::VIEW::PyWidget::silent_

protected

Definition at line 450 of file pyWidget.h.

## started_startup_script_

bool BALL::VIEW::PyWidget::started_startup_script_

protected

Definition at line 432 of file pyWidget.h.

## startup_script_

String BALL::VIEW::PyWidget::startup_script_

protected

Definition at line 442 of file pyWidget.h.

## stop_script_

bool BALL::VIEW::PyWidget::stop_script_

protected

Definition at line 445 of file pyWidget.h.

## tab_widget_

QTabWidget* BALL::VIEW::PyWidget::tab_widget_

protected

Definition at line 423 of file pyWidget.h.

## text_edit_

TextEditorWidget* BALL::VIEW::PyWidget::text_edit_

protected

Definition at line 421 of file pyWidget.h.

## thread_

RunPythonThread* BALL::VIEW::PyWidget::thread_

protected

Definition at line 444 of file pyWidget.h.

## valid_

bool BALL::VIEW::PyWidget::valid_

protected

Definition at line 431 of file pyWidget.h.

## validator_

PythonValidator BALL::VIEW::PyWidget::validator_

protected

Definition at line 425 of file pyWidget.h.

## working_dir_

String BALL::VIEW::PyWidget::working_dir_

protected

Definition at line 430 of file pyWidget.h.